<?php namespace EscapeWork\Manager\Medias\Model;

use EscapeWork\LaravelHelpers\Eloquent;
use EscapeWork\Manager\Medias\Repository\MediaModelRepository;

class MediaModel extends Eloquent implements MediaModelRepository
{

    protected $table = 'media_models';

    /**
     * Regras para validação
     */
    public static $validationRules = array(
        'model' => array('required')
    );

    /**
     * Mensagens para validação
     */
    public static $validationMessages = array(
        'model.required' => 'O nome da tabela é obrigatório'
    );

    /**
     * Fillable fields
     */
    protected $fillable = array(
        'id', 
        'model', 
        'default'
    );
}