<?php

# Routes

Route::get('manager/midias/{model_id}/{model}', array('as' => 'manager.midias.model.index', 'uses' => 'EscapeWork\Manager\Medias\Controller\MediaController@index'));
Route::post('manager/midias/{model_id}/{model}', array('as' => 'manager.midias.model.store', 'uses' => 'EscapeWork\Manager\Medias\Controller\MediaController@store'));
Route::put('manager/midias/{model_id}/{model}/{id}', array('as' => 'manager.midias.model.update', 'uses' => 'EscapeWork\Manager\Medias\Controller\MediaController@update'));
Route::put('manager/midias/{model_id}/{model}/{id}/order', array('as' => 'manager.midias.model.order', 'uses' => 'EscapeWork\Manager\Medias\Controller\MediaController@updateOrder'));
Route::delete('manager/midias/{model_id}/{model}/{id}', array('as' => 'manager.midias.model.destroy', 'uses' => 'EscapeWork\Manager\Medias\Controller\MediaController@destroy'));
Route::delete('manager/midias/{model_id}/{model}', array('as' => 'manager.midias.model.destroyAll', 'uses' => 'EscapeWork\Manager\Medias\Controller\MediaController@destroyAll'));

Route::get('manager/midias-model/sizes', 'EscapeWork\Manager\Medias\Controller\MediaModelSizeController@index');
Route::post('manager/midias-model/sizes', 'EscapeWork\Manager\Medias\Controller\MediaModelSizeController@store');
Route::delete('manager/midias-model/sizes/{id}', 'EscapeWork\Manager\Medias\Controller\MediaModelSizeController@destroy');
Route::resource('manager/midias-model', 'EscapeWork\Manager\Medias\Controller\MediaModelController');
