<?php

# ==================================================================
# App Binds
# ==================================================================
App::bind('EscapeWork\Manager\Medias\Repository\MediaRepository', 'EscapeWork\Manager\Medias\Model\Media');
App::bind('EscapeWork\Manager\Medias\Repository\MediaModelRepository', 'EscapeWork\Manager\Medias\Model\MediaModel');
App::bind('EscapeWork\Manager\Medias\Repository\MediaModelSizeRepository', 'EscapeWork\Manager\Medias\Model\MediaModelSize');

# ==================================================================
# Route Binds
# ==================================================================
Route::bind('model', function($modelString, $route)
{
    $modelString = str_replace('-', '\\', $modelString);

    $router = Route::getFacadeRoot();
    $params = explode('/', $router->getRequest()->getRequestUri());
 
    if (! class_exists($modelString) or ! isset($params[3])) {
        App::abort(404);
    }

    $id = (int) $params[3];

    $instance = new $modelString;
    $instance = $instance->find($id);

    return $instance;
});